Does not work with en_IN locale [or non-utf8 locale?]

Bug #653225 reported by Vish on 2010-10-01
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Gwibber
High
Ken VanDine
gwibber (Ubuntu)
High
Ken VanDine
Lucid
Undecided
Unassigned
Maverick
High
Ken VanDine

Bug Description

Binary package hint: gwibber

Gwibber does not work at all here, it does not display any tweets. It seems to be due to the locale being en_IN [and it being a non-utf8 ?]

$ gwibber-service -d -o > http://paste.ubuntu.com/504066/

After editing /usr/lib/python2.6/dist-packages/gwibber/microblog/dispatcher.py and /usr/lib/python2.6/dist-packages/gwibber/microblog/twitter.py for more logs > http://paste.ubuntu.com/504103/

~$ locale
LANG=en_IN
 > http://paste.ubuntu.com/504085/

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: gwibber 2.31.95-0ubuntu2
Uname: Linux 2.6.35-02063504-generic i686
Architecture: i386
Date: Sat Oct 2 01:06:34 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100924)
PackageArchitecture: all
ProcEnviron:
 LANG=en_IN
 SHELL=/bin/bash
SourcePackage: gwibber

Vish (vish) wrote :
Vish (vish) wrote :

Ken VanDine seems to have already found a fix!!!! :-D

Changed in gwibber (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
status: New → In Progress
Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
Changed in gwibber:
status: New → Fix Committed
Ken VanDine (ken-vandine) wrote :

This bug was effecting lucid as well as maverick.

Changed in gwibber (Ubuntu):
milestone: none → ubuntu-10.10
status: In Progress → Fix Committed
status: Fix Committed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.32.0-0ubuntu2

---------------
gwibber (2.32.0-0ubuntu2) maverick; urgency=low

  * debian/patches/lp_report_to_ubuntu.patch
    - Fixed urls for translate and gethelp to be maverick specific,
      thanks Omer Akram (LP: #641808)
  * debian/patches/lp_653225.patch
    - Don't try to store the locale and reset it after parsing the
      timestamp, this was causing a failure to retrieve any messages
      for anyone with a locale set without encoding. For example en_IN
      instead of en_IN.UTF-8 which seems to be pretty common (LP: #653225)
 -- Ken VanDine <email address hidden> Fri, 01 Oct 2010 14:37:29 -0400

Changed in gwibber (Ubuntu):
status: Triaged → Fix Released
Ken VanDine (ken-vandine) wrote :

I fear this bug is the root of many of the vague reports we have had of "twitter isn't updating" bugs. Seems whenever you install and choose a language that doesn't match your country, the encoding doesn't get set by the installer. So you end up with "en_IN" in /etc/default/locale instead of "en_IN.UTF-8" for example. The ubiquity bug is filed as bug 653225

Accepted gwibber into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gwibber (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Vish (vish) wrote :

wfm! :)

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.30.2-0ubuntu3

---------------
gwibber (2.30.2-0ubuntu3) lucid-proposed; urgency=low

  * debian/patches/lp_653225.patch
    - Don't try to store the locale and reset it after parsing the
      timestamp, this was causing a failure to retrieve any messages
      for anyone with a locale set without encoding. For example en_IN
      instead of en_IN.UTF-8 which seems to be pretty common (LP: #653225)
 -- Ken VanDine <email address hidden> Fri, 01 Oct 2010 22:35:39 -0400

Changed in gwibber (Ubuntu Lucid):
status: Fix Committed → Fix Released
Omer Akram (om26er) on 2010-10-14
Changed in gwibber:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers